> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get all groups

GET https://api.vomo.org/v1/groups

Returns all groups

Reference: https://virtuous.ferndocs.com/reference/volunteer/groups/list-groups

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `name_like` (string, optional) — The group name, or part of a name, to search for.
- `parent_id` (string, optional) — Groups with a specific parent_id
- `created_before` (datetime, optional) — Date the Group was created on or before.
- `created_after` (datetime, optional) — Date the Group was created on or after
- `updated_before` (datetime, optional) — Date the Group was updated on or before.
- `updated_after` (datetime, optional) — Date the Group was updated on or after

## Response

### 200

successful operation

- `data` (list of GroupResource, optional)
- `links` (GroupsGetResponsesContentApplicationJsonSchemaLinks, optional)
- `meta` (GroupsGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### GroupResource

List of Groups

- `id` (integer, optional) — The ID of the group
- `name` (string, optional) — The name of the group
- `description` (string, optional) — A description for the group
- `has_subgroups` (boolean, optional) — If the group has subgroups
- `parent_id` (integer, optional) — The group ID of the parent group
- `updated_at` (datetime, optional) — The date and time the group was updated at
- `created_at` (datetime, optional) — The date and time the group was created at

### GroupsGetResponsesContentApplicationJsonSchemaLinks

- `first` (string, optional) — A link to the first page of results
- `last` (string, optional) — A link to the last page of results
- `prev` (string, optional) — A link to the previous page of results
- `next` (string, optional) — A link to the next page of results

### GroupsGetResponsesContentApplicationJsonSchemaMeta

- `current_page` (integer, optional) — The current page
- `from` (integer, optional) — The index of the first result on this page
- `to` (integer, optional) — The index of the last result on this page
- `path` (string, optional) — The base URL
- `per_page` (integer, optional) — The number of results per page
- `total` (integer, optional) — The total number of results

## Examples

**Response**

```json
{
  "data": [
    {
      "id": 1,
      "name": "Afternoon Team",
      "description": "This team will take over for the morning team at 12pm",
      "has_subgroups": true,
      "parent_id": 1,
      "updated_at": "2016-03-07T07:49:41+00:00",
      "created_at": "2016-03-07T07:49:41+00:00"
    }
  ],
  "links": {
    "first": "https://api.vomo.org/v1/groups?page=4",
    "last": "https://api.vomo.org/v1/groups?page=4",
    "prev": "null",
    "next": "https://api.vomo.org/v1/groups?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "to": 15,
    "path": "https://api.vomo.org/v1/groups",
    "per_page": 15,
    "total": 49
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.vomo.org/v1/groups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.vomo.org/v1/groups';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vomo.org/v1/groups"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.vomo.org/v1/groups")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/groups")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.vomo.org/v1/groups', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.vomo.org/v1/groups");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vomo.org/v1/groups")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```